# CreateOrder

`POST /blms/webservice/filingassist/orders.json`

**API:** Registrations and Licenses
**Tag:** Orders
**API Version:** 1.0.0
**Base URL:** https://www.businesslicenses.com
**Authentication:** API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/registration-and-licensing/api/registrations-and-licenses-order/methods/Orders/CreateOrder/

## Description

Create orders using the customer account ID and order ID. A single SKU and quantity must be provided to the API. The response returns a list of generated Avalara orders with URLs for each order.Question Pre-populationFor License Suite Order SKU: Provide questions and answers using the following format:answers[0][question]=Question Nameanswers[0][answer]=Answer ValueSupported question types for License Suite Order include the following:Incorporated Type: Limited Liability Company (LLC), S-Corporation, Corporation, Non-profit Corporation, General Partnership, and Sole ProprietorshipIncorporated State: Two-character state codes such as WA and CA.DBA, which stands for Doing Business As: Yes or No.Employees: Yes, NoResidential or Commercial: Residential, CommercialFor all other SKUs, use the Question Keys API endpoint to retrieve available question keys for the specified SKU and location.Details arrays (general, entities, officers, location details): For comprehensive pre-population of the online questionnaire, you can use the details object with general, entities, and officers arrays, as well as details within each location. Use the Question Keys API endpoint to retrieve the exact question names for the specified SKU and location. The endpoint returns available question keys that can be used to provide answers in the details arrays.Common question categories include the following:General questions: Business_Start_Date, Business_Description, Federal_Tax_ID, State_Tax_IDEntity questions: Entity_Name, Entity_Type, Entity_Address, Entity_City, Entity_State, Entity_ZipOfficer questions: Officer_First_Name, Officer_Last_Name, Officer_Title, Officer_SSN, Officer_AddressLocation questions: Location_Description, Location_Phone, Location_Email, Location_Contact_Name

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | No | Specifies the API version to use. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Use the X-Correlation-ID header to support request correlation. |

## Request Body

**Content-Type:** `application/x-www-form-urlencoded`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Order created. |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |
| 500 | Internal Server Error |  |

## Example Request

```bash
curl -X POST "https://www.businesslicenses.com/blms/webservice/filingassist/orders.json" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "key": "558c54a6-4b3a-4796-aax0-d35x0395a03d",
  "account_id": "AC-123",
  "services[0][sku]": "Form Prep Order Sales Tax Only",
  "services[0][quantity]": 1,
  "order_id": "OID-123",
  "email": "example@avalara.com",
  "first_name": "John",
  "last_name": "Smith",
  "create_account": "1",
  "phone": "555-500-0000",
  "business_name": "Avalara Test, Inc",
  "sales_rep_id": 123,
  "address1": "1 Main St",
  "address2": "Suite 100",
  "city": "Brooklyn",
  "state": "NY",
  "country": "US",
  "zip": "10001",
  "incorporated_type": "Limited Liability Company (LLC)",
  "keyword": "Restaurant",
  "industry_activity_ids[0]": 82,
  "required_deliverables": "All forms required.",
  "locations[0][address1]": "1 Main St",
  "locations[0][address2]": "Suite 100",
  "locations[0][city]": "Brooklyn",
  "locations[0][state]": "CA",
  "locations[0][zip]": "10001",
  "locations[0][country]": "US",
  "locations[0][exclude_state_registrations]": true,
  "locations[0][details][Location_Description]": "My Store Location",
  "locations[0][details][Location_Phone]": "555-123-4567",
  "shared_users[0][email]": "example@avalara.com",
  "shared_users[0][first_name]": "John",
  "shared_users[0][last_name]": "Smith",
  "shared_users[0][share_deliverable]": "Y",
  "shared_users[0][send_login_email]": "Y",
  "details[general][Business_Start_Date]": "2023-01-01",
  "details[general][Business_Description]": "Online retail store",
  "details[general][Federal_Tax_ID]": "12-3456789",
  "details[general][State_Tax_ID]": "123456789",
  "details[entities][0][Entity_Name]": "My Business LLC",
  "details[entities][0][Entity_Type]": "Limited Liability Company (LLC)",
  "details[entities][0][Entity_Address]": "123 Business St",
  "details[entities][0][Entity_City]": "Seattle",
  "details[entities][0][Entity_State]": "WA",
  "details[entities][0][Entity_Zip]": "98101",
  "details[officers][0][Officer_First_Name]": "John",
  "details[officers][0][Officer_Last_Name]": "Smith",
  "details[officers][0][Officer_Title]": "President",
  "details[officers][0][Officer_SSN]": "123-45-6789",
  "details[officers][0][Officer_Address]": "456 Officer St",
  "details[officers][0][Officer_City]": "Seattle",
  "details[officers][0][Officer_State]": "WA",
  "details[officers][0][Officer_Zip]": "98101",
  "details[officers][0][Officer_Phone]": "555-123-4567",
  "details[officers][0][Officer_Email]": "john.smith@example.com",
  "registration_id": 123454,
  "answers[0][question]": "Incorporated State",
  "answers[0][answer]": "CA",
  "answers[1][question]": "Incorporated Type",
  "answers[1][answer]": "Corporation"
}'
```